All Units

Name | Description
HtmlHlp | ******************************************************************
laskuri |
laskuriform |
LisaaButton |
resources | Esimerkki resourcestring-tiedostosta
Generated by DIPasDoc 0.8.7 on la 18. syys 2004 01:16:28


HtmlHlp

Unit HtmlHlp

Description

******************************************************************

Functions and Procedures

Overview

function HtmlHelp(hwndCaller: HWND; pszFile: PChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;
function HtmlHelpA(hwndCaller: HWND; pszFile: PAnsiChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;
function HtmlHelpW(hwndCaller: HWND; pszFile: PWideChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;

Description

function HtmlHelp(hwndCaller: HWND; pszFile: PChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;

function HtmlHelpA(hwndCaller: HWND; pszFile: PAnsiChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;

function HtmlHelpW(hwndCaller: HWND; pszFile: PWideChar; uCommand: UINT; dwData: DWORD_PTR): HWND; stdcall;

Types

Overview

DWORD_PTR = DWORD
HHNTRACK = tagHHNTRACK
HHN_NOTIFY = tagHHN_NOTIFY
HH_AKLINK = tagHH_AKLINK
HH_ENUM_CAT = tagHH_ENUM_CAT
HH_ENUM_IT = tagHH_ENUM_IT
HH_FTS_QUERY = tagHH_FTS_QUERY
HH_GLOBAL_PROPERTY = tagHH_GLOBAL_PROPERTY
HH_GPROPID = HH_GPROPID_SINGLETHREAD..HH_GPROPID_CONTENT_LANGUAGE
HH_INFOTYPE = DWORD
HH_POPUP = tagHH_POPUP
HH_SET_INFOTYPE = tagHH_SET_INFOTYPE
HH_WINTYPE = tagHH_WINTYPE
PCSTR = LPCSTR
PHHAKLink = ^THHAKLink
PHHEnumCat = ^THHEnumCat
PHHEnumIT = ^THHEnumIT
PHHFtsQuery = ^THHFtsQuery
PHHGlobalProperty = ^THHGlobalProperty
PHHInfoType = ^THHInfoType
PHHLastError = ^THHLastError
PHHNNotify = ^THHNNotify
PHHNTrack = ^THHNTrack
PHHPopup = ^THHPopup
PHHSetInfoType = ^THHSetInfoType
PHHWinType = ^THHWinType
PHH_ENUM_CAT = ^tagHH_ENUM_CAT
PHH_ENUM_IT = ^tagHH_ENUM_IT
PHH_INFOTYPE = ^HH_INFOTYPE
PHH_SET_INFOTYPE = ^tagHH_SET_INFOTYPE
PHH_WINTYPE = ^tagHH_WINTYPE
tagHHNTRACK = packed record hdr: NMHDR; pszCurUrl: PCSTR; idAction: Integer; phhWinType: PHHWinType; end
tagHHN_NOTIFY = packed record hdr: NMHDR; pszUrl: PCSTR; end
tagHH_AKLINK = packed record cbStruct: Integer; fReserved: BOOL; pszKeywords: LPCTSTR; pszUrl: LPCTSTR; pszMsgText: LPCTSTR; pszMsgTitle: LPCTSTR; pszWindow: LPCTSTR; fIndexOnFail: BOOL; end
tagHH_ENUM_CAT = packed record cbStruct: Integer; pszCatName: LPCSTR; pszCatDescription: LPCSTR; end
tagHH_ENUM_IT = packed record cbStruct: Integer; iType: Integer; pszCatName: LPCSTR; pszITName: LPCSTR; pszITDescription: LPCSTR; end
tagHH_FTS_QUERY = packed record cbStruct: Integer; fUniCodeStrings: BOOL; pszSearchQuery: LPCTSTR; iProximity: LongInt; fStemmedSearch: BOOL; fTitleOnly: BOOL; fExecute: BOOL; pszWindow: LPCTSTR; end
tagHH_GLOBAL_PROPERTY = record id: THHGPropID; Dummy: Integer; var_: OleVariant; end
tagHH_LAST_ERROR = packed record cbStruct: Integer; hr: HRESULT; description: PWideChar; end
tagHH_POPUP = packed record cbStruct: Integer; hinst: HINST; idString: UINT; pszText: LPCTSTR; pt: TPoint; clrForeGround: TColorRef; clrBackground: TColorRef; rcMargins: TRect; pszFont: LPCTSTR; end
tagHH_SET_INFOTYPE = packed record cbStruct: Integer; pszCatName: LPCSTR; pszInfoTypeName: LPCSTR; end
tagHH_WINTYPE = packed record cbStruct: Integer; fUniCodeStrings: BOOL; pszType: LPCTSTR; fsValidMembers: DWORD; fsWinProperties: DWORD; pszCaption: LPCTSTR; dwStyles: DWORD; dwExStyles: DWORD; rcWindowPos: TRect; nShowState: Integer; hwndHelp: HWND; hwndCaller: HWND; paInfoTypes: PHHInfoType; hwndToolBar: HWND; hwndNavigation: HWND; hwndHTML: HWND; iNavWidth: Integer; rcHTML: TRect; pszToc: LPCTSTR; pszIndex: LPCTSTR; pszFile: LPCTSTR; pszHome: LPCTSTR; fsToolBarFlags: DWORD; fNotExpanded: BOOL; curNavType: Integer; tabpos: Integer; idNotify: Integer; tabOrder: array[0..HH_MAX_TABS] of Byte; cHistory: Integer; pszJump1: LPCTSTR; pszJump2: LPCTSTR; pszUrlJump1: LPCTSTR; pszUrlJump2: LPCTSTR; rcMinSize: TRect; cbInfoTypes: Integer; pszCustomTabs: LPCTSTR; end
THHAKLink = tagHH_AKLINK
THHEnumCat = tagHH_ENUM_CAT
THHEnumIT = tagHH_ENUM_IT
THHFtsQuery = tagHH_FTS_QUERY
THHGlobalProperty = tagHH_GLOBAL_PROPERTY
THHGPropID = HH_GPROPID
THHInfoType = HH_INFOTYPE
THHLastError = tagHH_LAST_ERROR
THHNNotify = tagHHN_NOTIFY
THHNTrack = tagHHNTRACK
THHPopup = tagHH_POPUP
THHSetInfoType = tagHH_SET_INFOTYPE
THHWinType = tagHH_WINTYPE

Description

DWORD_PTR = DWORD

.$DEFINE HTMLHELP_DYNAMIC_LINK_EXPLICIT

HHNTRACK = tagHHNTRACK

HHN_NOTIFY = tagHHN_NOTIFY

HH_AKLINK = tagHH_AKLINK

HH_ENUM_CAT = tagHH_ENUM_CAT

HH_ENUM_IT = tagHH_ENUM_IT

HH_FTS_QUERY = tagHH_FTS_QUERY

HH_GLOBAL_PROPERTY = tagHH_GLOBAL_PROPERTY

HH_GPROPID = HH_GPROPID_SINGLETHREAD..HH_GPROPID_CONTENT_LANGUAGE

long: LandId for desired content.

HH_INFOTYPE = DWORD

HH_POPUP = tagHH_POPUP

HH_SET_INFOTYPE = tagHH_SET_INFOTYPE

HH_WINTYPE = tagHH_WINTYPE

PCSTR = LPCSTR

PHHAKLink = ^THHAKLink

PHHEnumCat = ^THHEnumCat

PHHEnumIT = ^THHEnumIT

PHHFtsQuery = ^THHFtsQuery

PHHGlobalProperty = ^THHGlobalProperty

Global Property structure

PHHInfoType = ^THHInfoType

PHHLastError = ^THHLastError

PHHNNotify = ^THHNNotify

PHHNTrack = ^THHNTrack

PHHPopup = ^THHPopup

PHHSetInfoType = ^THHSetInfoType

PHHWinType = ^THHWinType

PHH_ENUM_CAT = ^tagHH_ENUM_CAT

PHH_ENUM_IT = ^tagHH_ENUM_IT

PHH_INFOTYPE = ^HH_INFOTYPE

PHH_SET_INFOTYPE = ^tagHH_SET_INFOTYPE

PHH_WINTYPE = ^tagHH_WINTYPE

tagHHNTRACK = packed record hdr: NMHDR; pszCurUrl: PCSTR; idAction: Integer; phhWinType: PHHWinType; end

tagHHN_NOTIFY = packed record hdr: NMHDR; pszUrl: PCSTR; end

tagHH_AKLINK = packed record cbStruct: Integer; fReserved: BOOL; pszKeywords: LPCTSTR; pszUrl: LPCTSTR; pszMsgText: LPCTSTR; pszMsgTitle: LPCTSTR; pszWindow: LPCTSTR; fIndexOnFail: BOOL; end

tagHH_ENUM_CAT = packed record cbStruct: Integer; pszCatName: LPCSTR; pszCatDescription: LPCSTR; end

tagHH_ENUM_IT = packed record cbStruct: Integer; iType: Integer; pszCatName: LPCSTR; pszITName: LPCSTR; pszITDescription: LPCSTR; end

tagHH_FTS_QUERY = packed record cbStruct: Integer; fUniCodeStrings: BOOL; pszSearchQuery: LPCTSTR; iProximity: LongInt; fStemmedSearch: BOOL; fTitleOnly: BOOL; fExecute: BOOL; pszWindow: LPCTSTR; end

tagHH_GLOBAL_PROPERTY = record id: THHGPropID; Dummy: Integer; var_: OleVariant; end

tagHH_LAST_ERROR = packed record cbStruct: Integer; hr: HRESULT; description: PWideChar; end

tagHH_POPUP = packed record cbStruct: Integer; hinst: HINST; idString: UINT; pszText: LPCTSTR; pt: TPoint; clrForeGround: TColorRef; clrBackground: TColorRef; rcMargins: TRect; pszFont: LPCTSTR; end

tagHH_SET_INFOTYPE = packed record cbStruct: Integer; pszCatName: LPCSTR; pszInfoTypeName: LPCSTR; end

tagHH_WINTYPE = packed record cbStruct: Integer; fUniCodeStrings: BOOL; pszType: LPCTSTR; fsValidMembers: DWORD; fsWinProperties: DWORD; pszCaption: LPCTSTR; dwStyles: DWORD; dwExStyles: DWORD; rcWindowPos: TRect; nShowState: Integer; hwndHelp: HWND; hwndCaller: HWND; paInfoTypes: PHHInfoType; hwndToolBar: HWND; hwndNavigation: HWND; hwndHTML: HWND; iNavWidth: Integer; rcHTML: TRect; pszToc: LPCTSTR; pszIndex: LPCTSTR; pszFile: LPCTSTR; pszHome: LPCTSTR; fsToolBarFlags: DWORD; fNotExpanded: BOOL; curNavType: Integer; tabpos: Integer; idNotify: Integer; tabOrder: array[0..HH_MAX_TABS] of Byte; cHistory: Integer; pszJump1: LPCTSTR; pszJump2: LPCTSTR; pszUrlJump1: LPCTSTR; pszUrlJump2: LPCTSTR; rcMinSize: TRect; cbInfoTypes: Integer; pszCustomTabs: LPCTSTR; end

THHAKLink = tagHH_AKLINK

THHEnumCat = tagHH_ENUM_CAT

THHEnumIT = tagHH_ENUM_IT

THHFtsQuery = tagHH_FTS_QUERY

THHGlobalProperty = tagHH_GLOBAL_PROPERTY

THHGPropID = HH_GPROPID

THHInfoType = HH_INFOTYPE

THHLastError = tagHH_LAST_ERROR

THHNNotify = tagHHN_NOTIFY

THHNTrack = tagHHNTRACK

THHPopup = tagHH_POPUP

THHSetInfoType = tagHH_SET_INFOTYPE

THHWinType = tagHH_WINTYPE

Constants

Overview

ATOM_HTMLHELP_API_ANSI = LPTSTR(DWORD(WORD(14)))
ATOM_HTMLHELP_API_UNICODE = LPTSTR(DWORD(WORD(15)))
HHACT_BACK = 7
HHACT_CONTRACT = 6
HHACT_CUSTOMIZE = 16
HHACT_EXPAND = 5
HHACT_FORWARD = 8
HHACT_HIGHLIGHT = 15
HHACT_HOME = 11
HHACT_JUMP1 = 17
HHACT_JUMP2 = 18
HHACT_LAST_ENUM = 23
HHACT_NOTES = 22
HHACT_OPTIONS = 13
HHACT_PRINT = 14
HHACT_REFRESH = 10
HHACT_STOP = 9
HHACT_SYNC = 12
HHACT_TAB_CONTENTS = 0
HHACT_TAB_FAVORITES = 4
HHACT_TAB_HISTORY = 3
HHACT_TAB_INDEX = 1
HHACT_TAB_SEARCH = 2
HHACT_TOC_NEXT = 20
HHACT_TOC_PREV = 21
HHACT_ZOOM = 19
HHN_FIRST = -860
HHN_LAST = -879
HHN_NAVCOMPLETE = (HHN_FIRST - 0)
HHN_TRACK = (HHN_FIRST - 1)
HHN_WINDOW_CREATE = (HHN_FIRST - 2)
HHWIN_BUTTON_BACK = (1 shl 2)
HHWIN_BUTTON_BROWSE_BCK = (1 shl 8)
HHWIN_BUTTON_BROWSE_FWD = (1 shl 7)
HHWIN_BUTTON_CONTENTS = (1 shl 10)
HHWIN_BUTTON_EXPAND = (1 shl 1)
HHWIN_BUTTON_FAVORITES = (1 shl 17)
HHWIN_BUTTON_FORWARD = (1 shl 3)
HHWIN_BUTTON_HISTORY = (1 shl 16)
HHWIN_BUTTON_HOME = (1 shl 6)
HHWIN_BUTTON_INDEX = (1 shl 14)
HHWIN_BUTTON_JUMP1 = (1 shl 18)
HHWIN_BUTTON_JUMP2 = (1 shl 19)
HHWIN_BUTTON_NOTES = (1 shl 9)
HHWIN_BUTTON_OPTIONS = (1 shl 12)
HHWIN_BUTTON_PRINT = (1 shl 13)
HHWIN_BUTTON_REFRESH = (1 shl 5)
HHWIN_BUTTON_SEARCH = (1 shl 15)
HHWIN_BUTTON_STOP = (1 shl 4)
HHWIN_BUTTON_SYNC = (1 shl 11)
HHWIN_BUTTON_TOC_NEXT = (1 shl 21)
HHWIN_BUTTON_TOC_PREV = (1 shl 22)
HHWIN_BUTTON_ZOOM = (1 shl 20)
HHWIN_DEF_BUTTONS = HHWIN_BUTTON_EXPAND or HHWIN_BUTTON_BACK or HHWIN_BUTTON_OPTIONS or HHWIN_BUTTON_PRINT
HHWIN_NAVTAB_BOTTOM = 2
HHWIN_NAVTAB_LEFT = 1
HHWIN_NAVTAB_TOP = 0
HHWIN_NAVTYPE_AUTHOR = 5
HHWIN_NAVTYPE_CUSTOM_FIRST = 11
HHWIN_NAVTYPE_FAVORITES = 3
HHWIN_NAVTYPE_HISTORY = 4
HHWIN_NAVTYPE_INDEX = 1
HHWIN_NAVTYPE_SEARCH = 2
HHWIN_NAVTYPE_TOC = 0
HHWIN_PARAM_CUR_TAB = (1 shl 13)
HHWIN_PARAM_EXPANSION = (1 shl 9)
HHWIN_PARAM_EXSTYLES = (1 shl 3)
HHWIN_PARAM_HISTORY_COUNT = (1 shl 12)
HHWIN_PARAM_INFOTYPES = (1 shl 7)
HHWIN_PARAM_NAV_WIDTH = (1 shl 5)
HHWIN_PARAM_PROPERTIES = (1 shl 1)
HHWIN_PARAM_RECT = (1 shl 4)
HHWIN_PARAM_SHOWSTATE = (1 shl 6)
HHWIN_PARAM_STYLES = (1 shl 2)
HHWIN_PARAM_TABORDER = (1 shl 11)
HHWIN_PARAM_TABPOS = (1 shl 10)
HHWIN_PARAM_TB_FLAGS = (1 shl 8)
HHWIN_PROP_AUTO_SYNC = (1 shl 8)
HHWIN_PROP_CHANGE_TITLE = (1 shl 13)
HHWIN_PROP_MENU = (1 shl 16)
HHWIN_PROP_NAV_ONLY_WIN = (1 shl 14)
HHWIN_PROP_NODEF_EXSTYLES = (1 shl 4)
HHWIN_PROP_NODEF_STYLES = (1 shl 3)
HHWIN_PROP_NOTB_TEXT = (1 shl 6)
HHWIN_PROP_NOTITLEBAR = (1 shl 2)
HHWIN_PROP_NO_TOOLBAR = (1 shl 15)
HHWIN_PROP_ONTOP = (1 shl 1)
HHWIN_PROP_POST_QUIT = (1 shl 7)
HHWIN_PROP_TAB_ADVSEARCH = (1 shl 17)
HHWIN_PROP_TAB_AUTOHIDESHOW = (1 shl 0)
HHWIN_PROP_TAB_CUSTOM1 = (1 shl 19)
HHWIN_PROP_TAB_CUSTOM2 = (1 shl 20)
HHWIN_PROP_TAB_CUSTOM3 = (1 shl 21)
HHWIN_PROP_TAB_CUSTOM4 = (1 shl 22)
HHWIN_PROP_TAB_CUSTOM5 = (1 shl 23)
HHWIN_PROP_TAB_CUSTOM6 = (1 shl 24)
HHWIN_PROP_TAB_CUSTOM7 = (1 shl 25)
HHWIN_PROP_TAB_CUSTOM8 = (1 shl 26)
HHWIN_PROP_TAB_CUSTOM9 = (1 shl 27)
HHWIN_PROP_TAB_FAVORITES = (1 shl 12)
HHWIN_PROP_TAB_HISTORY = (1 shl 11)
HHWIN_PROP_TAB_SEARCH = (1 shl 10)
HHWIN_PROP_TRACKING = (1 shl 9)
HHWIN_PROP_TRI_PANE = (1 shl 5)
HHWIN_PROP_USER_POS = (1 shl 18)
HHWIN_TB_MARGIN = (1 shl 28)
HH_ALINK_LOOKUP = $0013
HH_CLOSE_ALL = $0012
HH_DISPLAY_INDEX = $0002
HH_DISPLAY_SEARCH = $0003
HH_DISPLAY_TEXT_POPUP = $000E
HH_DISPLAY_TOC = $0001
HH_DISPLAY_TOPIC = $0000
HH_ENUM_CATEGORY = $0015
HH_ENUM_CATEGORY_IT = $0016
HH_ENUM_INFO_TYPE = $0007
HH_FTS_DEFAULT_PROXIMITY = -1
HH_GET_LAST_ERROR = $0014
HH_GET_WIN_HANDLE = $0006
HH_GET_WIN_TYPE = $0005
HH_GPROPID_CONTENT_LANGUAGE = 5
HH_GPROPID_CURRENT_SUBSET = 4
HH_GPROPID_SINGLETHREAD = 1
HH_GPROPID_TOOLBAR_MARGIN = 2
HH_GPROPID_UI_LANGUAGE = 3
HH_HELP_CONTEXT = $000F
HH_HELP_FINDER = $0000
HH_INITIALIZE = $001C
HH_KEYWORD_LOOKUP = $000D
HH_MAX_TABS = 19
HH_MAX_TABS_CUSTOM = HH_TAB_CUSTOM_LAST - HH_TAB_CUSTOM_FIRST + 1
HH_PRETRANSLATEMESSAGE = $00FD
HH_RESERVED1 = $000A
HH_RESERVED2 = $000B
HH_RESERVED3 = $000C
HH_RESET_IT_FILTER = $0017
HH_SET_EXCLUSIVE_FILTER = $0019
HH_SET_GLOBAL_PROPERTY = $00FC
HH_SET_INCLUSIVE_FILTER = $0018
HH_SET_INFO_TYPE = $0008
HH_SET_WIN_TYPE = $0004
HH_SYNC = $0009
HH_TAB_AUTHOR = 5
HH_TAB_CONTENTS = 0
HH_TAB_CUSTOM_FIRST = 11
HH_TAB_CUSTOM_LAST = HH_MAX_TABS
HH_TAB_FAVORITES = 3
HH_TAB_HISTORY = 4
HH_TAB_INDEX = 1
HH_TAB_SEARCH = 2
HH_TP_HELP_CONTEXTMENU = $0010
HH_TP_HELP_WM_HELP = $0011
HH_UNINITIALIZE = $001D
IDTB_BACK = 204
IDTB_BROWSE_BACK = 212
IDTB_BROWSE_FWD = 211
IDTB_CONTENTS = 213
IDTB_CONTRACT = 201
IDTB_CUSTOMIZE = 221
IDTB_EXPAND = 200
IDTB_FAVORITES = 217
IDTB_FORWARD = 209
IDTB_HISTORY = 216
IDTB_HOME = 205
IDTB_INDEX = 214
IDTB_JUMP1 = 218
IDTB_JUMP2 = 219
IDTB_NOTES = 210
IDTB_OPTIONS = 208
IDTB_PRINT = 207
IDTB_REFRESH = 203
IDTB_SEARCH = 215
IDTB_STOP = 202
IDTB_SYNC = 206
IDTB_TOC_NEXT = 223
IDTB_TOC_PREV = 224
IDTB_ZOOM = 222
IT_EXCLUSIVE = 1
IT_HIDDEN = 2
IT_INCLUSIVE = 0

Description

ATOM_HTMLHELP_API_ANSI = LPTSTR(DWORD(WORD(14)))

Use the following for GetProcAddress to load from hhctrl.ocx

ATOM_HTMLHELP_API_UNICODE = LPTSTR(DWORD(WORD(15)))

HHACT_BACK = 7

HHACT_CONTRACT = 6

HHACT_CUSTOMIZE = 16

HHACT_EXPAND = 5

HHACT_FORWARD = 8

HHACT_HIGHLIGHT = 15

HHACT_HOME = 11

HHACT_JUMP1 = 17

HHACT_JUMP2 = 18

HHACT_LAST_ENUM = 23

HHACT_NOTES = 22

HHACT_OPTIONS = 13

HHACT_PRINT = 14

HHACT_REFRESH = 10

HHACT_STOP = 9

HHACT_SYNC = 12

HHACT_TAB_CONTENTS = 0

HHACT_TAB_FAVORITES = 4

HHACT_TAB_HISTORY = 3

HHACT_TAB_INDEX = 1

HHACT_TAB_SEARCH = 2

HHACT_TOC_NEXT = 20

HHACT_TOC_PREV = 21

HHACT_ZOOM = 19

HHN_FIRST = -860

Notification codes

HHN_LAST = -879

HHN_NAVCOMPLETE = (HHN_FIRST - 0)

HHN_TRACK = (HHN_FIRST - 1)

HHN_WINDOW_CREATE = (HHN_FIRST - 2)

HHWIN_BUTTON_BACK = (1 shl 2)

Expand/contract button

HHWIN_BUTTON_BROWSE_BCK = (1 shl 8)

not implemented

HHWIN_BUTTON_BROWSE_FWD = (1 shl 7)

Home button

HHWIN_BUTTON_CONTENTS = (1 shl 10)

not implemented

HHWIN_BUTTON_EXPAND = (1 shl 1)

valid curNavType

HHWIN_BUTTON_FAVORITES = (1 shl 17)

not implemented

HHWIN_BUTTON_FORWARD = (1 shl 3)

Back button

HHWIN_BUTTON_HISTORY = (1 shl 16)

not implemented

HHWIN_BUTTON_HOME = (1 shl 6)

Refresh button

HHWIN_BUTTON_INDEX = (1 shl 14)

Print button

HHWIN_BUTTON_JUMP1 = (1 shl 18)

not implemented

HHWIN_BUTTON_JUMP2 = (1 shl 19)

HHWIN_BUTTON_NOTES = (1 shl 9)

not implemented

HHWIN_BUTTON_OPTIONS = (1 shl 12)

Sync button

HHWIN_BUTTON_PRINT = (1 shl 13)

Options button

HHWIN_BUTTON_REFRESH = (1 shl 5)

Stop button

HHWIN_BUTTON_SEARCH = (1 shl 15)

not implemented

HHWIN_BUTTON_STOP = (1 shl 4)

Forward button

HHWIN_BUTTON_SYNC = (1 shl 11)

not implemented

HHWIN_BUTTON_TOC_NEXT = (1 shl 21)

HHWIN_BUTTON_TOC_PREV = (1 shl 22)

HHWIN_BUTTON_ZOOM = (1 shl 20)

HHWIN_DEF_BUTTONS = HHWIN_BUTTON_EXPAND or HHWIN_BUTTON_BACK or HHWIN_BUTTON_OPTIONS or HHWIN_BUTTON_PRINT

HHWIN_NAVTAB_BOTTOM = 2

HHWIN_NAVTAB_LEFT = 1

HHWIN_NAVTAB_TOP = 0

HHWIN_NAVTYPE_AUTHOR = 5

not implemented

HHWIN_NAVTYPE_CUSTOM_FIRST = 11

HHWIN_NAVTYPE_FAVORITES = 3

HHWIN_NAVTYPE_HISTORY = 4

HHWIN_NAVTYPE_INDEX = 1

HHWIN_NAVTYPE_SEARCH = 2

HHWIN_NAVTYPE_TOC = 0

HHWIN_PARAM_CUR_TAB = (1 shl 13)

valid cHistory

HHWIN_PARAM_EXPANSION = (1 shl 9)

valid fsToolBarFlags

HHWIN_PARAM_EXSTYLES = (1 shl 3)

valid dwStyles

HHWIN_PARAM_HISTORY_COUNT = (1 shl 12)

valid taborder

HHWIN_PARAM_INFOTYPES = (1 shl 7)

valid nShowState

HHWIN_PARAM_NAV_WIDTH = (1 shl 5)

valid rcWindowPos

HHWIN_PARAM_PROPERTIES = (1 shl 1)

the window type has a margin

HHWIN_PARAM_RECT = (1 shl 4)

valid dwExStyles

HHWIN_PARAM_SHOWSTATE = (1 shl 6)

valid iNavWidth

HHWIN_PARAM_STYLES = (1 shl 2)

valid fsWinProperties

HHWIN_PARAM_TABORDER = (1 shl 11)

valid tabpos

HHWIN_PARAM_TABPOS = (1 shl 10)

valid fNotExpanded

HHWIN_PARAM_TB_FLAGS = (1 shl 8)

valid apInfoTypes

HHWIN_PROP_AUTO_SYNC = (1 shl 8)

post WM_QUIT message when window closes

HHWIN_PROP_CHANGE_TITLE = (1 shl 13)

include favorites tab in navigation pane

HHWIN_PROP_MENU = (1 shl 16)

Don't display a toolbar

HHWIN_PROP_NAV_ONLY_WIN = (1 shl 14)

Put current HTML title in title bar

HHWIN_PROP_NODEF_EXSTYLES = (1 shl 4)

no default window styles (only HH_WINTYPE.dwStyles)

HHWIN_PROP_NODEF_STYLES = (1 shl 3)

no title bar

HHWIN_PROP_NOTB_TEXT = (1 shl 6)

use a tri-pane window

HHWIN_PROP_NOTITLEBAR = (1 shl 2)

Top-most window (not currently implemented)

HHWIN_PROP_NO_TOOLBAR = (1 shl 15)

Only display the navigation window

HHWIN_PROP_ONTOP = (1 shl 1)

Automatically hide/show tri-pane window

HHWIN_PROP_POST_QUIT = (1 shl 7)

no text on toolbar buttons

HHWIN_PROP_TAB_ADVSEARCH = (1 shl 17)

Menu

HHWIN_PROP_TAB_AUTOHIDESHOW = (1 shl 0)

Set a global property. (NULL, NULL, HH_GPROP)

HHWIN_PROP_TAB_CUSTOM1 = (1 shl 19)

After initial creation, user controls window size/Position

HHWIN_PROP_TAB_CUSTOM2 = (1 shl 20)

Use custom tab #1

HHWIN_PROP_TAB_CUSTOM3 = (1 shl 21)

Use custom tab #2

HHWIN_PROP_TAB_CUSTOM4 = (1 shl 22)

Use custom tab #3

HHWIN_PROP_TAB_CUSTOM5 = (1 shl 23)

Use custom tab #4

HHWIN_PROP_TAB_CUSTOM6 = (1 shl 24)

Use custom tab #5

HHWIN_PROP_TAB_CUSTOM7 = (1 shl 25)

Use custom tab #6

HHWIN_PROP_TAB_CUSTOM8 = (1 shl 26)

Use custom tab #7

HHWIN_PROP_TAB_CUSTOM9 = (1 shl 27)

Use custom tab #8

HHWIN_PROP_TAB_FAVORITES = (1 shl 12)

include history tab in navigation pane

HHWIN_PROP_TAB_HISTORY = (1 shl 11)

include search tab in navigation pane

HHWIN_PROP_TAB_SEARCH = (1 shl 10)

send tracking notification messages

HHWIN_PROP_TRACKING = (1 shl 9)

automatically ssync contents and index

HHWIN_PROP_TRI_PANE = (1 shl 5)

no default extended window styles (only HH_WINTYPE.dwExStyles)

HHWIN_PROP_USER_POS = (1 shl 18)

Advanced FTS UI.

HHWIN_TB_MARGIN = (1 shl 28)

Use custom tab #9

HH_ALINK_LOOKUP = $0013

close all windows opened directly or indirectly by the caller

HH_CLOSE_ALL = $0012

text popup help, same as WinHelp HELP_WM_HELP

HH_DISPLAY_INDEX = $0002

not currently implemented

HH_DISPLAY_SEARCH = $0003

not currently implemented

HH_DISPLAY_TEXT_POPUP = $000E

HH_DISPLAY_TOC = $0001

WinHelp equivalent

HH_DISPLAY_TOPIC = $0000

Commands to pass to HtmlHelp()

HH_ENUM_CATEGORY = $0015

not currently implemented, See HHERROR.h

HH_ENUM_CATEGORY_IT = $0016

Get category name, call repeatedly to enumerate, -1 at end

HH_ENUM_INFO_TYPE = $0007

HH_FTS_DEFAULT_PROXIMITY = -1

HH_DISPLAY_SEARCH Command Related Structures and Constants

HH_GET_LAST_ERROR = $0014

ALink version of HH_KEYWORD_LOOKUP

HH_GET_WIN_HANDLE = $0006

HH_GET_WIN_TYPE = $0005

HH_GPROPID_CONTENT_LANGUAGE = 5

BSTR: Current subset.

HH_GPROPID_CURRENT_SUBSET = 4

long: LangId of the UI.

HH_GPROPID_SINGLETHREAD = 1

Global Control Properties

HH_GPROPID_TOOLBAR_MARGIN = 2

VARIANT_BOOL: True for single thread

HH_GPROPID_UI_LANGUAGE = 3

long: Provides a left/right margin around the toolbar.

HH_HELP_CONTEXT = $000F

display string resource id or text in a popup window

HH_HELP_FINDER = $0000

HH_INITIALIZE = $001C

set exclusive filtering method for untyped topics to be excluded from display

HH_KEYWORD_LOOKUP = $000D

HH_MAX_TABS = 19

HH_MAX_TABS_CUSTOM = HH_TAB_CUSTOM_LAST - HH_TAB_CUSTOM_FIRST + 1

HH_PRETRANSLATEMESSAGE = $00FD

Uninitializes the help system.

HH_RESERVED1 = $000A

HH_RESERVED2 = $000B

HH_RESERVED3 = $000C

HH_RESET_IT_FILTER = $0017

Get category info type members, call repeatedly to enumerate, -1 at end

HH_SET_EXCLUSIVE_FILTER = $0019

set inclusive filtering method for untyped topics to be included in display

HH_SET_GLOBAL_PROPERTY = $00FC

Pumps messages. (NULL, NULL, MSG*).

HH_SET_INCLUSIVE_FILTER = $0018

Clear the info type filter of all info types.

HH_SET_INFO_TYPE = $0008

Get Info type name, call repeatedly to enumerate, -1 at end

HH_SET_WIN_TYPE = $0004

not currently implemented

HH_SYNC = $0009

Add Info type to filter.

HH_TAB_AUTHOR = 5

HH_TAB_CONTENTS = 0

HH_TAB_CUSTOM_FIRST = 11

HH_TAB_CUSTOM_LAST = HH_MAX_TABS

HH_TAB_FAVORITES = 3

HH_TAB_HISTORY = 4

HH_TAB_INDEX = 1

HH_TAB_SEARCH = 2

HH_TP_HELP_CONTEXTMENU = $0010

display mapped numeric value in dwData

HH_TP_HELP_WM_HELP = $0011

text popup help, same as WinHelp HELP_CONTEXTMENU

HH_UNINITIALIZE = $001D

Initializes the help system.

IDTB_BACK = 204

IDTB_BROWSE_BACK = 212

IDTB_BROWSE_FWD = 211

not implemented

IDTB_CONTENTS = 213

IDTB_CONTRACT = 201

IDTB_CUSTOMIZE = 221

IDTB_EXPAND = 200

Button IDs

IDTB_FAVORITES = 217

not implemented

IDTB_FORWARD = 209

IDTB_HISTORY = 216

not implemented

IDTB_HOME = 205

IDTB_INDEX = 214

not implemented

IDTB_JUMP1 = 218

not implemented

IDTB_JUMP2 = 219

IDTB_NOTES = 210

IDTB_OPTIONS = 208

IDTB_PRINT = 207

IDTB_REFRESH = 203

IDTB_SEARCH = 215

not implemented

IDTB_STOP = 202

IDTB_SYNC = 206

IDTB_TOC_NEXT = 223

IDTB_TOC_PREV = 224

IDTB_ZOOM = 222

IT_EXCLUSIVE = 1

IT_HIDDEN = 2

IT_INCLUSIVE = 0

Generated by DIPasDoc 0.8.7 on la 18. syys 2004 01:16:27


laskuri

Unit laskuri

Description

Classes, Interfaces and Objects

Name | Description
Class TLaskuri | Laskurikomponentti

Functions and Procedures

Overview

procedure Register;

Description

procedure Register;

Types

Overview

TLaskuriEvent = procedure (sender:TLaskuri; diff:integer) of object

Description

TLaskuriEvent = procedure (sender:TLaskuri; diff:integer) of object

Generated by DIPasDoc 0.8.7 on la 18. syys 2004 01:16:27


laskuri: Class TLaskuri

Class TLaskuri

Unit

laskuri

Declaration

type TLaskuri = class(TLabel)

Description

Laskurikomponentti

Tehdään malliksi uusi komponentti TLaskuri, joka on kuten TLabel, mutta siinä pidetään kokonaislukuarvoa oikeassa reunassa, sinisellä pohjalla kentän leveys säilyttäen (oletuksena) ja siinä on lisäksi lisäys-metodi. Caption-ominaisuuden muuttaminen kelpuuttaa vain kokonaisluvut ja Caption on aina synkronissa Count-arvon kanssa.
Vesa Lappalainen 26.8.1996

Muutokset 15.9.1997/vl
+ tarkistettu toiminta myös Delphi 3.0:ssa ja kirjoittu vastaava komponenttikirjaston "käyttöohje"

Muutokset 11.10.1998/vl
+ tarkistettu toiminta myös Delphi 4.0:ssa ja kirjoittu vastaava komponenttikirjaston "käyttöohje". Value vaihdettu Count, koska luokkatäydennin käyttää Value:ta lokaalina parametrinä

"Kirjastoa" voidaan testata ennen varsinaiseen komponenttikirjastoon lisäämistä seuraavasti:

  1. Tee uusi projekti, lisää uses-osaan laskuri
  2. Formin private osaan laita esim:
    lask : TLaskuri
  3. Formin alustukseen kirjoitat:
    lask := TLaskuri.Create(self);
    lask.Parent := self;
    lask.SetBounds(20,20,50,lask.Height);
  4. Lisää vaikkapa nappula, jonka painamisen koodiksi kirjoitat:
    lask.Inc(1);

Komponentti voidaan lisätä kirjastoon seuraavasti (Delphi 3.0):

  1. Kopioi laskuri.dcr (tai tee uusi: Tools/Image Editor) samaan paikkaan kuin laskuri.pas (tänne on tehty komponenttisivulle tuleva bittikartta TLASKURI, 24x24, Huom! nimi isolla Pitää olla näköjään oma .dcr eri Delphi versioille!).
  2. Valitse Component/Install Component
  3. a) Jos haluamasi kirjasto on jo olemassa, valitse "Into Existing package" ja sitten Yes
    b) Jos kirjastoa ei ole, valitse "Into New Package", kirjoita kirjaston nimi (esim. lask) ja kuvaus ja OK
  4. Jos kirjastoa (Package) pitää korjailla, valitse esim. Component/Install Packages ja valitse kirjasto ja Edit. Korjausten jälkeen paina Compile ja tarvittaessa Install. Voit myös avata tiedoston lask.dpk.

Kirjoittamisvinkki Delphi 4.0:

  1. Lisää ensin rivi: property Count : integer;
  2. Paina Shift+Ctrl+C (Complete Class at Cursor)
  3. Täydennä syntynyt SetCount -metodi.
  4. Kirjoita rivi: constructor Create(...
  5. Paina Shift+Ctrl+C
  6. Täydennä Create-metodi
  7. Täydennä puuttuvat virtual -määritykset

Komponentti voidaan lisätä kirjastoon seuraavasti (Delphi 1.0 ja 2.0):

  1. Käännä tämä tiedosto (vaikka jonkin projekti osana), esim. edellisen testin käännös riittää
  2. Kopioi laskuri.dcu sinne kirjastoon, jossa sinulla on komponentit (ks. vaikka Components/Install/Search Path)
  3. Kopioi laskuri.dcr samaan paikkaan (tänne on tehty komponenttisivulle tuleva bittikartta TLASKURI, 24x24, Huom! nimi isolla Pitää olla näköjään oma .dcr Delphi 1.0:lle ja Delphi 2.0:lle!).
  4. Valitse Components/Install/Add ja kirjoita Laskuri ja OK OK (Delphi 1.0:ssa Options/Install Components/....)
  5. Jos jatkossa havaitset komponentissa, riittää korjausten jälkeen Rebuild Library

Tehtäviä (komponentit voi lisätä tähän samaan tiedostoon):

  1. Tee uusi komponentti TLisaaButton, jolla on ominaisuutena Laskuri : TLaskuri - laskuri, jonka arvoa lisätään aina kun nappia painetaan
    Lisays : Integer - paljollako laskuria lisätään
  2. Tee autolaskuri em. komponenteilla niin, että tarvitsee kirjoittaa vain yksi rivi koodia: Nollaa-nappulalle
  3. Tee vielä komponentti TNollaa, joka nollaa kaikki samalla lomakkeella olevat laskurit (ks. ComponentCount ja Components).
  4. Tee autolaskuri kirjoittamatta riviäkään koodia. Jos lisätään uusi laskuri-lisää -pari, niin taritaanko vieläkään koodia?
  5. *Modifioi TNollaa- komponettia siten, että sille voidaan antaa ominaisuutena kaikki komponentit, jotka halutaan nollata.
  6. Peri TLaskuri panelista ja aseta oletuksena sopivat reunukset päälle.

Methods

Overview

Public | constructor Create(AOwner:TComponent); override;
Public | function Inc(i:integer) : integer; virtual;
Protected | procedure SetCount(const Value: integer); virtual;

Description

Public constructor Create(AOwner:TComponent); override;

Public function Inc(i:integer) : integer; virtual;

Protected procedure SetCount(const Value: integer); virtual;

Properties

Overview

Published | property Alignment;
Published | property AutoSize;
Published | property Caption: string;
Published | property Color;
Published | property Count: integer;
Published | property OnChange: TLaskuriEvent;
Published | property ParentColor;

Description

Published property Alignment;

Seuraavat ominaisuudet isältä, ainoastaan oletusarvot erilaiset

Published property AutoSize;

Published property Caption: string;

Published property Color;

Published property Count: integer;

aliohjelma asettamiseen ja funktio lukemiseen

Published property OnChange: TLaskuriEvent;

Kaikki muut isän ominaisuudet tulee sellaisenaan

Published property ParentColor;

Author

Vesa Lappalainen <vesal@mit.jyu.fi>

Created

1996-8-26

Last Modified

1998-10-11


laskuriform

Unit laskuriform

Description

Classes, Interfaces and Objects

Name | Description
Class TFormLaskuri | Autolaskuri, versio n.n.

Variables

Overview

FormLaskuri: TFormLaskuri

Description

FormLaskuri: TFormLaskuri

Public declarations


laskuriform: Class TFormLaskuri

Class TFormLaskuri

Unit

laskuriform

Declaration

type TFormLaskuri = class(TForm)

Description

Autolaskuri, versio n.n.

Esimerkki HTML Helpin käytöstä (kokeile F1-näppäintä eri komponenttien ollessa aktiivisena). Lisäksi demonstroi TLaskuri- ja TLisaaButton -komponenttien käyttöä.

Kurssin kotisivulle

Fields

 | Name | Description
Public | Apua1 |
Public | Autolaskurinavustus1 |
Public | ButtonNollaa |
Public | Edit1 |
Public | Label1 |
Public | Laskuri1 |
Public | Laskuri2 |
Public | LisaaButton1 |
Public | LisaaButton2 |
Public | Lopeta1 |
Public | MainMenu1 |
Public | N1 |

Methods

Overview

Public | procedure Autolaskurinavustus1Click(Sender: TObject);
Public | procedure ButtonNollaaClick(Sender: TObject);
Public | procedure FormCreate(Sender: TObject);
Public | procedure LaskuriChange(sender: TLaskuri; diff: Integer);

Description

Public procedure Autolaskurinavustus1Click(Sender: TObject);

Public procedure ButtonNollaaClick(Sender: TObject);

Public procedure FormCreate(Sender: TObject);

Public procedure LaskuriChange(sender: TLaskuri; diff: Integer);

Authors

Vesa Lappalainen <vesal@mit.jyu.fi>

Miika Nurminen <minurmin@cc.jyu.fi>

Created

2004-8-27


LisaaButton

Unit LisaaButton

Description

Classes, Interfaces and Objects

Name | Description
Class TLisaaButton | LisaaButton -komponentti

Functions and Procedures

Overview

procedure Register;

Description

procedure Register;


LisaaButton: Class TLisaaButton

Class TLisaaButton

Unit

LisaaButton

Declaration

type TLisaaButton = class(TButton)

Description

LisaaButton -komponentti

Tehdään malliksi uusi komponentti TLisaaButton, joka osaa lisätä valitun TLaskuri-komponentin arvoa propertyn Lisays määrällä.
Otetaan huomioon myös se, että Laskuri voidaan poistaa ennen buttonia.
Vesa Lappalainen 4.10.2001

Notification-metodiin lisätty RemoveFreeNotification MN / 17.4.2004

Methods

Overview

Public | constructor Create(AOwner:TComponent); override;
Public | procedure Click; override;
Public | procedure Notification(AComponent: TComponent; Operation: TOperation); override;
Protected | procedure SetLaskuri(const Value: TLaskuri); virtual;

Description

Public constructor Create(AOwner:TComponent); override;

Public procedure Click; override;

Syrjäytetään yläluokan Click -metodi. Lisätään laskurin arvoa, kun nappia painetaan.

Public procedure Notification(AComponent: TComponent; Operation: TOperation); override;

Syrjäytetään yläluokan Notification -metodi. Metodia kutsutaan, jos jokin toinen komponentti tuhoaa laskurikomponentin. Ks. myös SetLaskuri.

Protected procedure SetLaskuri(const Value: TLaskuri); virtual;

Huom. Set- ja notification metodien perusrakenne on sama _kaikille_ yksinkertaisille komponenttipropertyille, joiden muistinhallinnasta komponentti _ei_ vastaa itse.

Rakenne kannattaa kopioida muistiin tai lisätä Delphin code templateksi (tools->editor options->source options-> edit code templates

Properties

Overview

Published | property Laskuri: TLaskuri;
Published | property Lisays: integer;

Description

Published property Laskuri: TLaskuri;

Published property Lisays: integer;

Authors

Vesa Lappalainen <vesal@mit.jyu.fi>

Miika Nurminen <minurmin@cc.jyu.fi>

Created

2001-10-4

Last Modified

2004-4-17


resources

Unit resources

Description

Esimerkki resourcestring-tiedostosta

Tämän pitäisi sisältää sovelluksen ei-suunnitteluaikaiset tekstit... Helpottaa monikielistämistä.

Constants

Overview

ProductName = 'Multi-Autolaskuri'
SumString = 'Yhteensä %d kulkuneuvoa'
Version = '1.0'

Description

ProductName = 'Multi-Autolaskuri'

SumString = 'Yhteensä %d kulkuneuvoa'

Version = '1.0'

Author

Miika Nurminen <minurmin@cc.jyu.fi>

Created

2004-8-27

Last Modified

2004-9-18


Class Hierarchy

  • TButton
    • TLisaaButton
  • TForm
    • TFormLaskuri
  • TLabel
    • TLaskuri


All Classes, Interfaces and Objects

Name | Unit | Description
TFormLaskuri | laskuriform | Autolaskuri, versio n.n.
TLaskuri | laskuri | Laskurikomponentti
TLisaaButton | LisaaButton | LisaaButton -komponentti


All Types

Name | Unit | Description
DWORD_PTR | HtmlHlp | .$DEFINE HTMLHELP_DYNAMIC_LINK_EXPLICIT
HHNTRACK | HtmlHlp |
HHN_NOTIFY | HtmlHlp |
HH_AKLINK | HtmlHlp |
HH_ENUM_CAT | HtmlHlp |
HH_ENUM_IT | HtmlHlp |
HH_FTS_QUERY | HtmlHlp |
HH_GLOBAL_PROPERTY | HtmlHlp |
HH_GPROPID | HtmlHlp | long: LandId for desired content.
HH_INFOTYPE | HtmlHlp |
HH_POPUP | HtmlHlp |
HH_SET_INFOTYPE | HtmlHlp |
HH_WINTYPE | HtmlHlp |
PCSTR | HtmlHlp |
PHHAKLink | HtmlHlp |
PHHEnumCat | HtmlHlp |
PHHEnumIT | HtmlHlp |
PHHFtsQuery | HtmlHlp |
PHHGlobalProperty | HtmlHlp | Global Property structure
PHHInfoType | HtmlHlp |
PHHLastError | HtmlHlp |
PHHNNotify | HtmlHlp |
PHHNTrack | HtmlHlp |
PHHPopup | HtmlHlp |
PHHSetInfoType | HtmlHlp |
PHHWinType | HtmlHlp |
PHH_ENUM_CAT | HtmlHlp |
PHH_ENUM_IT | HtmlHlp |
PHH_INFOTYPE | HtmlHlp |
PHH_SET_INFOTYPE | HtmlHlp |
PHH_WINTYPE | HtmlHlp |
tagHHNTRACK | HtmlHlp |
tagHHN_NOTIFY | HtmlHlp |
tagHH_AKLINK | HtmlHlp |
tagHH_ENUM_CAT | HtmlHlp |
tagHH_ENUM_IT | HtmlHlp |
tagHH_FTS_QUERY | HtmlHlp |
tagHH_GLOBAL_PROPERTY | HtmlHlp |
tagHH_LAST_ERROR | HtmlHlp |
tagHH_POPUP | HtmlHlp |
tagHH_SET_INFOTYPE | HtmlHlp |
tagHH_WINTYPE | HtmlHlp |
THHAKLink | HtmlHlp |
THHEnumCat | HtmlHlp |
THHEnumIT | HtmlHlp |
THHFtsQuery | HtmlHlp |
THHGlobalProperty | HtmlHlp |
THHGPropID | HtmlHlp |
THHInfoType | HtmlHlp |
THHLastError | HtmlHlp |
THHNNotify | HtmlHlp |
THHNTrack | HtmlHlp |
THHPopup | HtmlHlp |
THHSetInfoType | HtmlHlp |
THHWinType | HtmlHlp |
TLaskuriEvent | laskuri |


All Enumerations

None


All Variables

Name | Unit | Description
FormLaskuri | laskuriform | Public declarations


All Constants

Name | Unit | Description
ATOM_HTMLHELP_API_ANSI | HtmlHlp | Use the following for GetProcAddress to load from hhctrl.ocx
ATOM_HTMLHELP_API_UNICODE | HtmlHlp |
HHACT_BACK | HtmlHlp |
HHACT_CONTRACT | HtmlHlp |
HHACT_CUSTOMIZE | HtmlHlp |
HHACT_EXPAND | HtmlHlp |
HHACT_FORWARD | HtmlHlp |
HHACT_HIGHLIGHT | HtmlHlp |
HHACT_HOME | HtmlHlp |
HHACT_JUMP1 | HtmlHlp |
HHACT_JUMP2 | HtmlHlp |
HHACT_LAST_ENUM | HtmlHlp |
HHACT_NOTES | HtmlHlp |
HHACT_OPTIONS | HtmlHlp |
HHACT_PRINT | HtmlHlp |
HHACT_REFRESH | HtmlHlp |
HHACT_STOP | HtmlHlp |
HHACT_SYNC | HtmlHlp |
HHACT_TAB_CONTENTS | HtmlHlp |
HHACT_TAB_FAVORITES | HtmlHlp |
HHACT_TAB_HISTORY | HtmlHlp |
HHACT_TAB_INDEX | HtmlHlp |
HHACT_TAB_SEARCH | HtmlHlp |
HHACT_TOC_NEXT | HtmlHlp |
HHACT_TOC_PREV | HtmlHlp |
HHACT_ZOOM | HtmlHlp |
HHN_FIRST | HtmlHlp | Notification codes
HHN_LAST | HtmlHlp |
HHN_NAVCOMPLETE | HtmlHlp |
HHN_TRACK | HtmlHlp |
HHN_WINDOW_CREATE | HtmlHlp |
HHWIN_BUTTON_BACK | HtmlHlp | Expand/contract button
HHWIN_BUTTON_BROWSE_BCK | HtmlHlp | not implemented
HHWIN_BUTTON_BROWSE_FWD | HtmlHlp | Home button
HHWIN_BUTTON_CONTENTS | HtmlHlp | not implemented
HHWIN_BUTTON_EXPAND | HtmlHlp | valid curNavType
HHWIN_BUTTON_FAVORITES | HtmlHlp | not implemented
HHWIN_BUTTON_FORWARD | HtmlHlp | Back button
HHWIN_BUTTON_HISTORY | HtmlHlp | not implemented
HHWIN_BUTTON_HOME | HtmlHlp | Refresh button
HHWIN_BUTTON_INDEX | HtmlHlp | Print button
HHWIN_BUTTON_JUMP1 | HtmlHlp | not implemented
HHWIN_BUTTON_JUMP2 | HtmlHlp |
HHWIN_BUTTON_NOTES | HtmlHlp | not implemented
HHWIN_BUTTON_OPTIONS | HtmlHlp | Sync button
HHWIN_BUTTON_PRINT | HtmlHlp | Options button
HHWIN_BUTTON_REFRESH | HtmlHlp | Stop button
HHWIN_BUTTON_SEARCH | HtmlHlp | not implemented
HHWIN_BUTTON_STOP | HtmlHlp | Forward button
HHWIN_BUTTON_SYNC | HtmlHlp | not implemented
HHWIN_BUTTON_TOC_NEXT | HtmlHlp |
HHWIN_BUTTON_TOC_PREV | HtmlHlp |
HHWIN_BUTTON_ZOOM | HtmlHlp |
HHWIN_DEF_BUTTONS | HtmlHlp |
HHWIN_NAVTAB_BOTTOM | HtmlHlp |
HHWIN_NAVTAB_LEFT | HtmlHlp |
HHWIN_NAVTAB_TOP | HtmlHlp |
HHWIN_NAVTYPE_AUTHOR | HtmlHlp | not implemented
HHWIN_NAVTYPE_CUSTOM_FIRST | HtmlHlp |
HHWIN_NAVTYPE_FAVORITES | HtmlHlp |
HHWIN_NAVTYPE_HISTORY | HtmlHlp |
HHWIN_NAVTYPE_INDEX | HtmlHlp |
HHWIN_NAVTYPE_SEARCH | HtmlHlp |
HHWIN_NAVTYPE_TOC | HtmlHlp |
HHWIN_PARAM_CUR_TAB | HtmlHlp | valid cHistory
HHWIN_PARAM_EXPANSION | HtmlHlp | valid fsToolBarFlags
HHWIN_PARAM_EXSTYLES | HtmlHlp | valid dwStyles
HHWIN_PARAM_HISTORY_COUNT | HtmlHlp | valid taborder
HHWIN_PARAM_INFOTYPES | HtmlHlp | valid nShowState
HHWIN_PARAM_NAV_WIDTH | HtmlHlp | valid rcWindowPos
HHWIN_PARAM_PROPERTIES | HtmlHlp | the window type has a margin
HHWIN_PARAM_RECT | HtmlHlp | valid dwExStyles
HHWIN_PARAM_SHOWSTATE | HtmlHlp | valid iNavWidth
HHWIN_PARAM_STYLES | HtmlHlp | valid fsWinProperties
HHWIN_PARAM_TABORDER | HtmlHlp | valid tabpos
HHWIN_PARAM_TABPOS | HtmlHlp | valid fNotExpanded
HHWIN_PARAM_TB_FLAGS | HtmlHlp | valid apInfoTypes
HHWIN_PROP_AUTO_SYNC | HtmlHlp | post WM_QUIT message when window closes
HHWIN_PROP_CHANGE_TITLE | HtmlHlp | include favorites tab in navigation pane
HHWIN_PROP_MENU | HtmlHlp | Don't display a toolbar
HHWIN_PROP_NAV_ONLY_WIN | HtmlHlp | Put current HTML title in title bar
HHWIN_PROP_NODEF_EXSTYLES | HtmlHlp | no default window styles (only HH_WINTYPE.dwStyles)
HHWIN_PROP_NODEF_STYLES | HtmlHlp | no title bar
HHWIN_PROP_NOTB_TEXT | HtmlHlp | use a tri-pane window
HHWIN_PROP_NOTITLEBAR | HtmlHlp | Top-most window (not currently implemented)
HHWIN_PROP_NO_TOOLBAR | HtmlHlp | Only display the navigation window
HHWIN_PROP_ONTOP | HtmlHlp | Automatically hide/show tri-pane window
HHWIN_PROP_POST_QUIT | HtmlHlp | no text on toolbar buttons
HHWIN_PROP_TAB_ADVSEARCH | HtmlHlp | Menu
HHWIN_PROP_TAB_AUTOHIDESHOW | HtmlHlp | Set a global property. (NULL, NULL, HH_GPROP)
HHWIN_PROP_TAB_CUSTOM1 | HtmlHlp | After initial creation, user controls window size/Position
HHWIN_PROP_TAB_CUSTOM2 | HtmlHlp | Use custom tab #1
HHWIN_PROP_TAB_CUSTOM3 | HtmlHlp | Use custom tab #2
HHWIN_PROP_TAB_CUSTOM4 | HtmlHlp | Use custom tab #3
HHWIN_PROP_TAB_CUSTOM5 | HtmlHlp | Use custom tab #4
HHWIN_PROP_TAB_CUSTOM6 | HtmlHlp | Use custom tab #5
HHWIN_PROP_TAB_CUSTOM7 | HtmlHlp | Use custom tab #6
HHWIN_PROP_TAB_CUSTOM8 | HtmlHlp | Use custom tab #7
HHWIN_PROP_TAB_CUSTOM9 | HtmlHlp | Use custom tab #8
HHWIN_PROP_TAB_FAVORITES | HtmlHlp | include history tab in navigation pane
HHWIN_PROP_TAB_HISTORY | HtmlHlp | include search tab in navigation pane
HHWIN_PROP_TAB_SEARCH | HtmlHlp | send tracking notification messages
HHWIN_PROP_TRACKING | HtmlHlp | automatically ssync contents and index
HHWIN_PROP_TRI_PANE | HtmlHlp | no default extended window styles (only HH_WINTYPE.dwExStyles)
HHWIN_PROP_USER_POS | HtmlHlp | Advanced FTS UI.
HHWIN_TB_MARGIN | HtmlHlp | Use custom tab #9
HH_ALINK_LOOKUP | HtmlHlp | close all windows opened directly or indirectly by the caller
HH_CLOSE_ALL | HtmlHlp | text popup help, same as WinHelp HELP_WM_HELP
HH_DISPLAY_INDEX | HtmlHlp | not currently implemented
HH_DISPLAY_SEARCH | HtmlHlp | not currently implemented
HH_DISPLAY_TEXT_POPUP | HtmlHlp |
HH_DISPLAY_TOC | HtmlHlp | WinHelp equivalent
HH_DISPLAY_TOPIC | HtmlHlp | Commands to pass to HtmlHelp()
HH_ENUM_CATEGORY | HtmlHlp | not currently implemented, See HHERROR.h
HH_ENUM_CATEGORY_IT | HtmlHlp | Get category name, call repeatedly to enumerate, -1 at end
HH_ENUM_INFO_TYPE | HtmlHlp |
HH_FTS_DEFAULT_PROXIMITY | HtmlHlp | HH_DISPLAY_SEARCH Command Related Structures and Constants
HH_GET_LAST_ERROR | HtmlHlp | ALink version of HH_KEYWORD_LOOKUP
HH_GET_WIN_HANDLE | HtmlHlp |
HH_GET_WIN_TYPE | HtmlHlp |
HH_GPROPID_CONTENT_LANGUAGE | HtmlHlp | BSTR: Current subset.
HH_GPROPID_CURRENT_SUBSET | HtmlHlp | long: LangId of the UI.
HH_GPROPID_SINGLETHREAD | HtmlHlp | Global Control Properties
HH_GPROPID_TOOLBAR_MARGIN | HtmlHlp | VARIANT_BOOL: True for single thread
HH_GPROPID_UI_LANGUAGE | HtmlHlp | long: Provides a left/right margin around the toolbar.
HH_HELP_CONTEXT | HtmlHlp | display string resource id or text in a popup window
HH_HELP_FINDER | HtmlHlp |
HH_INITIALIZE | HtmlHlp | set exclusive filtering method for untyped topics to be excluded from display
HH_KEYWORD_LOOKUP | HtmlHlp |
HH_MAX_TABS | HtmlHlp |
HH_MAX_TABS_CUSTOM | HtmlHlp |
HH_PRETRANSLATEMESSAGE | HtmlHlp | Uninitializes the help system.
HH_RESERVED1 | HtmlHlp |
HH_RESERVED2 | HtmlHlp |
HH_RESERVED3 | HtmlHlp |
HH_RESET_IT_FILTER | HtmlHlp | Get category info type members, call repeatedly to enumerate, -1 at end
HH_SET_EXCLUSIVE_FILTER | HtmlHlp | set inclusive filtering method for untyped topics to be included in display
HH_SET_GLOBAL_PROPERTY | HtmlHlp | Pumps messages. (NULL, NULL, MSG*).
HH_SET_INCLUSIVE_FILTER | HtmlHlp | Clear the info type filter of all info types.
HH_SET_INFO_TYPE | HtmlHlp | Get Info type name, call repeatedly to enumerate, -1 at end
HH_SET_WIN_TYPE | HtmlHlp | not currently implemented
HH_SYNC | HtmlHlp | Add Info type to filter.
HH_TAB_AUTHOR | HtmlHlp |
HH_TAB_CONTENTS | HtmlHlp |
HH_TAB_CUSTOM_FIRST | HtmlHlp |
HH_TAB_CUSTOM_LAST | HtmlHlp |
HH_TAB_FAVORITES | HtmlHlp |
HH_TAB_HISTORY | HtmlHlp |
HH_TAB_INDEX | HtmlHlp |
HH_TAB_SEARCH | HtmlHlp |
HH_TP_HELP_CONTEXTMENU | HtmlHlp | display mapped numeric value in dwData
HH_TP_HELP_WM_HELP | HtmlHlp | text popup help, same as WinHelp HELP_CONTEXTMENU
HH_UNINITIALIZE | HtmlHlp | Initializes the help system.
IDTB_BACK | HtmlHlp |
IDTB_BROWSE_BACK | HtmlHlp |
IDTB_BROWSE_FWD | HtmlHlp | not implemented
IDTB_CONTENTS | HtmlHlp |
IDTB_CONTRACT | HtmlHlp |
IDTB_CUSTOMIZE | HtmlHlp |
IDTB_EXPAND | HtmlHlp | Button IDs
IDTB_FAVORITES | HtmlHlp | not implemented
IDTB_FORWARD | HtmlHlp |
IDTB_HISTORY | HtmlHlp | not implemented
IDTB_HOME | HtmlHlp |
IDTB_INDEX | HtmlHlp | not implemented
IDTB_JUMP1 | HtmlHlp | not implemented
IDTB_JUMP2 | HtmlHlp |
IDTB_NOTES | HtmlHlp |
IDTB_OPTIONS | HtmlHlp |
IDTB_PRINT | HtmlHlp |
IDTB_REFRESH | HtmlHlp |
IDTB_SEARCH | HtmlHlp | not implemented
IDTB_STOP | HtmlHlp |
IDTB_SYNC | HtmlHlp |
IDTB_TOC_NEXT | HtmlHlp |
IDTB_TOC_PREV | HtmlHlp |
IDTB_ZOOM | HtmlHlp |
IT_EXCLUSIVE | HtmlHlp |
IT_HIDDEN | HtmlHlp |
IT_INCLUSIVE | HtmlHlp |
ProductName | resources |
SumString | resources |
Version | resources |


All Functions and Procedures

Name | Unit | Description
HtmlHelp | HtmlHlp |
HtmlHelpA | HtmlHlp |
HtmlHelpW | HtmlHlp |
Register | LisaaButton |
Register | laskuri |


All Identifiers

Name | Unit | Description
ATOM_HTMLHELP_API_ANSI | HtmlHlp | Use the following for GetProcAddress to load from hhctrl.ocx
ATOM_HTMLHELP_API_UNICODE HtmlHlp
DWORD_PTR | HtmlHlp | .$DEFINE HTMLHELP_DYNAMIC_LINK_EXPLICIT
FormLaskuri | laskuriform | Public declarations
HHACT_BACK HtmlHlp
HHACT_CONTRACT HtmlHlp
HHACT_CUSTOMIZE HtmlHlp
HHACT_EXPAND HtmlHlp
HHACT_FORWARD HtmlHlp
HHACT_HIGHLIGHT HtmlHlp
HHACT_HOME HtmlHlp
HHACT_JUMP1 HtmlHlp
HHACT_JUMP2 HtmlHlp
HHACT_LAST_ENUM HtmlHlp
HHACT_NOTES HtmlHlp
HHACT_OPTIONS HtmlHlp
HHACT_PRINT HtmlHlp
HHACT_REFRESH HtmlHlp
HHACT_STOP HtmlHlp
HHACT_SYNC HtmlHlp
HHACT_TAB_CONTENTS HtmlHlp
HHACT_TAB_FAVORITES HtmlHlp
HHACT_TAB_HISTORY HtmlHlp
HHACT_TAB_INDEX HtmlHlp
HHACT_TAB_SEARCH HtmlHlp
HHACT_TOC_NEXT HtmlHlp
HHACT_TOC_PREV HtmlHlp
HHACT_ZOOM HtmlHlp
HHNTRACK HtmlHlp
HHN_FIRST | HtmlHlp | Notification codes
HHN_LAST HtmlHlp
HHN_NAVCOMPLETE HtmlHlp
HHN_NOTIFY HtmlHlp
HHN_TRACK HtmlHlp
HHN_WINDOW_CREATE HtmlHlp
HHWIN_BUTTON_BACK | HtmlHlp | Expand/contract button
HHWIN_BUTTON_BROWSE_BCK | HtmlHlp | not implemented
HHWIN_BUTTON_BROWSE_FWD | HtmlHlp | Home button
HHWIN_BUTTON_CONTENTS | HtmlHlp | not implemented
HHWIN_BUTTON_EXPAND | HtmlHlp | valid curNavType
HHWIN_BUTTON_FAVORITES | HtmlHlp | not implemented
HHWIN_BUTTON_FORWARD | HtmlHlp | Back button
HHWIN_BUTTON_HISTORY | HtmlHlp | not implemented
HHWIN_BUTTON_HOME | HtmlHlp | Refresh button
HHWIN_BUTTON_INDEX | HtmlHlp | Print button
HHWIN_BUTTON_JUMP1 | HtmlHlp | not implemented
HHWIN_BUTTON_JUMP2 HtmlHlp
HHWIN_BUTTON_NOTES | HtmlHlp | not implemented
HHWIN_BUTTON_OPTIONS | HtmlHlp | Sync button
HHWIN_BUTTON_PRINT | HtmlHlp | Options button
HHWIN_BUTTON_REFRESH | HtmlHlp | Stop button
HHWIN_BUTTON_SEARCH | HtmlHlp | not implemented
HHWIN_BUTTON_STOP | HtmlHlp | Forward button
HHWIN_BUTTON_SYNC | HtmlHlp | not implemented
HHWIN_BUTTON_TOC_NEXT HtmlHlp
HHWIN_BUTTON_TOC_PREV HtmlHlp
HHWIN_BUTTON_ZOOM HtmlHlp
HHWIN_DEF_BUTTONS HtmlHlp
HHWIN_NAVTAB_BOTTOM HtmlHlp
HHWIN_NAVTAB_LEFT HtmlHlp
HHWIN_NAVTAB_TOP HtmlHlp
HHWIN_NAVTYPE_AUTHOR | HtmlHlp | not implemented
HHWIN_NAVTYPE_CUSTOM_FIRST HtmlHlp
HHWIN_NAVTYPE_FAVORITES HtmlHlp
HHWIN_NAVTYPE_HISTORY HtmlHlp
HHWIN_NAVTYPE_INDEX HtmlHlp
HHWIN_NAVTYPE_SEARCH HtmlHlp
HHWIN_NAVTYPE_TOC HtmlHlp
HHWIN_PARAM_CUR_TAB | HtmlHlp | valid cHistory
HHWIN_PARAM_EXPANSION | HtmlHlp | valid fsToolBarFlags
HHWIN_PARAM_EXSTYLES | HtmlHlp | valid dwStyles
HHWIN_PARAM_HISTORY_COUNT | HtmlHlp | valid taborder
HHWIN_PARAM_INFOTYPES | HtmlHlp | valid nShowState
HHWIN_PARAM_NAV_WIDTH | HtmlHlp | valid rcWindowPos
HHWIN_PARAM_PROPERTIES | HtmlHlp | the window type has a margin
HHWIN_PARAM_RECT | HtmlHlp | valid dwExStyles
HHWIN_PARAM_SHOWSTATE | HtmlHlp | valid iNavWidth
HHWIN_PARAM_STYLES | HtmlHlp | valid fsWinProperties
HHWIN_PARAM_TABORDER | HtmlHlp | valid tabpos
HHWIN_PARAM_TABPOS | HtmlHlp | valid fNotExpanded
HHWIN_PARAM_TB_FLAGS | HtmlHlp | valid apInfoTypes
HHWIN_PROP_AUTO_SYNC | HtmlHlp | post WM_QUIT message when window closes
HHWIN_PROP_CHANGE_TITLE | HtmlHlp | include favorites tab in navigation pane
HHWIN_PROP_MENU | HtmlHlp | Don't display a toolbar
HHWIN_PROP_NAV_ONLY_WIN | HtmlHlp | Put current HTML title in title bar
HHWIN_PROP_NODEF_EXSTYLES | HtmlHlp | no default window styles (only HH_WINTYPE.dwStyles)
HHWIN_PROP_NODEF_STYLES | HtmlHlp | no title bar
HHWIN_PROP_NOTB_TEXT | HtmlHlp | use a tri-pane window
HHWIN_PROP_NOTITLEBAR | HtmlHlp | Top-most window (not currently implemented)
HHWIN_PROP_NO_TOOLBAR | HtmlHlp | Only display the navigation window
HHWIN_PROP_ONTOP | HtmlHlp | Automatically hide/show tri-pane window
HHWIN_PROP_POST_QUIT | HtmlHlp | no text on toolbar buttons
HHWIN_PROP_TAB_ADVSEARCH | HtmlHlp | Menu
HHWIN_PROP_TAB_AUTOHIDESHOW | HtmlHlp | Set a global property. (NULL, NULL, HH_GPROP)
HHWIN_PROP_TAB_CUSTOM1 | HtmlHlp | After initial creation, user controls window size/Position
HHWIN_PROP_TAB_CUSTOM2 | HtmlHlp | Use custom tab #1
HHWIN_PROP_TAB_CUSTOM3 | HtmlHlp | Use custom tab #2
HHWIN_PROP_TAB_CUSTOM4 | HtmlHlp | Use custom tab #3
HHWIN_PROP_TAB_CUSTOM5 | HtmlHlp | Use custom tab #4
HHWIN_PROP_TAB_CUSTOM6 | HtmlHlp | Use custom tab #5
HHWIN_PROP_TAB_CUSTOM7 | HtmlHlp | Use custom tab #6
HHWIN_PROP_TAB_CUSTOM8 | HtmlHlp | Use custom tab #7
HHWIN_PROP_TAB_CUSTOM9 | HtmlHlp | Use custom tab #8
HHWIN_PROP_TAB_FAVORITES | HtmlHlp | include history tab in navigation pane
HHWIN_PROP_TAB_HISTORY | HtmlHlp | include search tab in navigation pane
HHWIN_PROP_TAB_SEARCH | HtmlHlp | send tracking notification messages
HHWIN_PROP_TRACKING | HtmlHlp | automatically ssync contents and index
HHWIN_PROP_TRI_PANE | HtmlHlp | no default extended window styles (only HH_WINTYPE.dwExStyles)
HHWIN_PROP_USER_POS | HtmlHlp | Advanced FTS UI.
HHWIN_TB_MARGIN | HtmlHlp | Use custom tab #9
HH_AKLINK HtmlHlp
HH_ALINK_LOOKUP | HtmlHlp | close all windows opened directly or indirectly by the caller
HH_CLOSE_ALL | HtmlHlp | text popup help, same as WinHelp HELP_WM_HELP
HH_DISPLAY_INDEX | HtmlHlp | not currently implemented
HH_DISPLAY_SEARCH | HtmlHlp | not currently implemented
HH_DISPLAY_TEXT_POPUP HtmlHlp
HH_DISPLAY_TOC | HtmlHlp | WinHelp equivalent
HH_DISPLAY_TOPIC | HtmlHlp | Commands to pass to HtmlHelp()
HH_ENUM_CAT HtmlHlp
HH_ENUM_CATEGORY | HtmlHlp | not currently implemented, See HHERROR.h
HH_ENUM_CATEGORY_IT | HtmlHlp | Get category name, call repeatedly to enumerate, -1 at end
HH_ENUM_INFO_TYPE HtmlHlp
HH_ENUM_IT HtmlHlp
HH_FTS_DEFAULT_PROXIMITY | HtmlHlp | HH_DISPLAY_SEARCH Command Related Structures and Constants
HH_FTS_QUERY HtmlHlp
HH_GET_LAST_ERROR | HtmlHlp | ALink version of HH_KEYWORD_LOOKUP
HH_GET_WIN_HANDLE HtmlHlp
HH_GET_WIN_TYPE HtmlHlp
HH_GLOBAL_PROPERTY HtmlHlp
HH_GPROPID | HtmlHlp | long: LandId for desired content.
HH_GPROPID_CONTENT_LANGUAGE | HtmlHlp | BSTR: Current subset.
HH_GPROPID_CURRENT_SUBSET | HtmlHlp | long: LangId of the UI.
HH_GPROPID_SINGLETHREAD | HtmlHlp | Global Control Properties
HH_GPROPID_TOOLBAR_MARGIN | HtmlHlp | VARIANT_BOOL: True for single thread
HH_GPROPID_UI_LANGUAGE | HtmlHlp | long: Provides a left/right margin around the toolbar.
HH_HELP_CONTEXT | HtmlHlp | display string resource id or text in a popup window
HH_HELP_FINDER HtmlHlp
HH_INFOTYPE HtmlHlp
HH_INITIALIZE | HtmlHlp | set exclusive filtering method for untyped topics to be excluded from display
HH_KEYWORD_LOOKUP HtmlHlp
HH_MAX_TABS HtmlHlp
HH_MAX_TABS_CUSTOM HtmlHlp
HH_POPUP HtmlHlp
HH_PRETRANSLATEMESSAGE | HtmlHlp | Uninitializes the help system.
HH_RESERVED1 HtmlHlp
HH_RESERVED2 HtmlHlp
HH_RESERVED3 HtmlHlp
HH_RESET_IT_FILTER | HtmlHlp | Get category info type members, call repeatedly to enumerate, -1 at end
HH_SET_EXCLUSIVE_FILTER | HtmlHlp | set inclusive filtering method for untyped topics to be included in display
HH_SET_GLOBAL_PROPERTY | HtmlHlp | Pumps messages. (NULL, NULL, MSG*).
HH_SET_INCLUSIVE_FILTER | HtmlHlp | Clear the info type filter of all info types.
HH_SET_INFOTYPE HtmlHlp
HH_SET_INFO_TYPE | HtmlHlp | Get Info type name, call repeatedly to enumerate, -1 at end
HH_SET_WIN_TYPE | HtmlHlp | not currently implemented
HH_SYNC | HtmlHlp | Add Info type to filter.
HH_TAB_AUTHOR HtmlHlp
HH_TAB_CONTENTS HtmlHlp
HH_TAB_CUSTOM_FIRST HtmlHlp
HH_TAB_CUSTOM_LAST HtmlHlp
HH_TAB_FAVORITES HtmlHlp
HH_TAB_HISTORY HtmlHlp
HH_TAB_INDEX HtmlHlp
HH_TAB_SEARCH HtmlHlp
HH_TP_HELP_CONTEXTMENU | HtmlHlp | display mapped numeric value in dwData
HH_TP_HELP_WM_HELP | HtmlHlp | text popup help, same as WinHelp HELP_CONTEXTMENU
HH_UNINITIALIZE | HtmlHlp | Initializes the help system.
HH_WINTYPE HtmlHlp
HtmlHelp HtmlHlp
HtmlHelpA HtmlHlp
HtmlHelpW HtmlHlp
IDTB_BACK HtmlHlp
IDTB_BROWSE_BACK HtmlHlp
IDTB_BROWSE_FWD | HtmlHlp | not implemented
IDTB_CONTENTS HtmlHlp
IDTB_CONTRACT HtmlHlp
IDTB_CUSTOMIZE HtmlHlp
IDTB_EXPAND | HtmlHlp | Button IDs
IDTB_FAVORITES | HtmlHlp | not implemented
IDTB_FORWARD HtmlHlp
IDTB_HISTORY | HtmlHlp | not implemented
IDTB_HOME HtmlHlp
IDTB_INDEX | HtmlHlp | not implemented
IDTB_JUMP1 | HtmlHlp | not implemented
IDTB_JUMP2 HtmlHlp
IDTB_NOTES HtmlHlp
IDTB_OPTIONS HtmlHlp
IDTB_PRINT HtmlHlp
IDTB_REFRESH HtmlHlp
IDTB_SEARCH | HtmlHlp | not implemented
IDTB_STOP HtmlHlp
IDTB_SYNC HtmlHlp
IDTB_TOC_NEXT HtmlHlp
IDTB_TOC_PREV HtmlHlp
IDTB_ZOOM HtmlHlp
IT_EXCLUSIVE HtmlHlp
IT_HIDDEN HtmlHlp
IT_INCLUSIVE HtmlHlp
PCSTR HtmlHlp
PHHAKLink HtmlHlp
PHHEnumCat HtmlHlp
PHHEnumIT HtmlHlp
PHHFtsQuery HtmlHlp
PHHGlobalProperty | HtmlHlp | Global Property structure
PHHInfoType HtmlHlp
PHHLastError HtmlHlp
PHHNNotify HtmlHlp
PHHNTrack HtmlHlp
PHHPopup HtmlHlp
PHHSetInfoType HtmlHlp
PHHWinType HtmlHlp
PHH_ENUM_CAT HtmlHlp
PHH_ENUM_IT HtmlHlp
PHH_INFOTYPE HtmlHlp
PHH_SET_INFOTYPE HtmlHlp
PHH_WINTYPE HtmlHlp
ProductName resources
Register LisaaButton
Register laskuri
SumString resources
tagHHNTRACK HtmlHlp
tagHHN_NOTIFY HtmlHlp
tagHH_AKLINK HtmlHlp
tagHH_ENUM_CAT HtmlHlp
tagHH_ENUM_IT HtmlHlp
tagHH_FTS_QUERY HtmlHlp
tagHH_GLOBAL_PROPERTY HtmlHlp
tagHH_LAST_ERROR HtmlHlp
tagHH_POPUP HtmlHlp
tagHH_SET_INFOTYPE HtmlHlp
tagHH_WINTYPE HtmlHlp
TFormLaskuri | laskuriform | Autolaskuri, versio n.n.
THHAKLink HtmlHlp
THHEnumCat HtmlHlp
THHEnumIT HtmlHlp
THHFtsQuery HtmlHlp
THHGlobalProperty HtmlHlp
THHGPropID HtmlHlp
THHInfoType HtmlHlp
THHLastError HtmlHlp
THHNNotify HtmlHlp
THHNTrack HtmlHlp
THHPopup HtmlHlp
THHSetInfoType HtmlHlp
THHWinType HtmlHlp
TLaskuri | laskuri | Laskurikomponentti
TLaskuriEvent laskuri
TLisaaButton | LisaaButton | LisaaButton -komponentti


Legend

Private | Private
Protected | Protected
Public | Public
Published | Published